"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const sandboxProxy = require('@joplin/lib/services/plugins/sandboxProxy');
const test_utils_1 = require("@joplin/lib/testing/test-utils");
describe('services_plugins_sandboxProxy', () => {
    beforeEach(() => __awaiter(void 0, void 0, void 0, function* () {
        yield (0, test_utils_1.setupDatabaseAndSynchronizer)(1);
        yield (0, test_utils_1.switchClient)(1);
    }));
    it('should create a new sandbox proxy', (() => __awaiter(void 0, void 0, void 0, function* () {
        const results = [];
        // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
        const target = (path, args) => {
            results.push({ path, args });
        };
        const proxy = sandboxProxy(target);
        proxy.testing.bla.test('hello', '123');
        proxy.testing.test2();
        expect(results[0].path).toBe('testing.bla.test');
        expect(results[0].args.join('_')).toBe('hello_123');
        expect(results[1].path).toBe('testing.test2');
        expect(results[1].args.join('_')).toBe('');
    })));
    it('should allow importing a namespace', (() => __awaiter(void 0, void 0, void 0, function* () {
        const results = [];
        // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
        const target = (path, args) => {
            results.push({ path, args });
        };
        const proxy = sandboxProxy(target);
        const ns = proxy.testing.blabla;
        ns.test();
        ns.test2();
        expect(results[0].path).toBe('testing.blabla.test');
        expect(results[1].path).toBe('testing.blabla.test2');
    })));
});
//# sourceMappingURL=sandboxProxy.js.map