"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const BaseSyncTarget_1 = require("./BaseSyncTarget");
const locale_1 = require("./locale");
const Setting_1 = require("./models/Setting");
const file_api_1 = require("./file-api");
const file_api_driver_local_1 = require("./file-api-driver-local");
const Synchronizer_1 = require("./Synchronizer");
class SyncTargetFilesystem extends BaseSyncTarget_1.default {
    static id() {
        return 2;
    }
    static targetName() {
        return 'filesystem';
    }
    static label() {
        return (0, locale_1._)('File system');
    }
    static unsupportedPlatforms() {
        return ['ios'];
    }
    isAuthenticated() {
        return __awaiter(this, void 0, void 0, function* () {
            return true;
        });
    }
    initFileApi() {
        return __awaiter(this, void 0, void 0, function* () {
            const syncPath = Setting_1.default.value('sync.2.path');
            const driver = new file_api_driver_local_1.default();
            const fileApi = new file_api_1.FileApi(syncPath, driver);
            fileApi.setLogger(this.logger());
            fileApi.setSyncTargetId(SyncTargetFilesystem.id());
            yield driver.mkdir(syncPath);
            return fileApi;
        });
    }
    initSynchronizer() {
        return __awaiter(this, void 0, void 0, function* () {
            return new Synchronizer_1.default(this.db(), yield this.fileApi(), Setting_1.default.value('appType'));
        });
    }
}
exports.default = SyncTargetFilesystem;
//# sourceMappingURL=SyncTargetFilesystem.js.map