"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const InteropService_Importer_Md_1 = require("./InteropService_Importer_Md");
const Note_1 = require("../../models/Note");
const Tag_1 = require("../../models/Tag");
const shim_1 = require("../../shim");
const frontMatter_1 = require("../../utils/frontMatter");
class InteropService_Importer_Md_frontmatter extends InteropService_Importer_Md_1.default {
    importFile(filePath, parentFolderId) {
        const _super = Object.create(null, {
            importFile: { get: () => super.importFile }
        });
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const note = yield _super.importFile.call(this, filePath, parentFolderId);
                const { metadata, tags } = (0, frontMatter_1.parse)(note.body);
                const updatedNote = Object.assign(Object.assign({}, note), metadata);
                const noteItem = yield Note_1.default.save(updatedNote, { isNew: false, autoTimestamp: false });
                const resolvedPath = shim_1.default.fsDriver().resolve(filePath);
                this.importedNotes[resolvedPath] = noteItem;
                for (const tag of tags) {
                    yield Tag_1.default.addNoteTagByTitle(noteItem.id, tag);
                }
                return noteItem;
            }
            catch (error) {
                error.message = `On ${filePath}: ${error.message}`;
                throw error;
            }
        });
    }
}
exports.default = InteropService_Importer_Md_frontmatter;
//# sourceMappingURL=InteropService_Importer_Md_frontmatter.js.map