"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const BaseItem_1 = require("../../models/BaseItem");
const Folder_1 = require("../../models/Folder");
const Note_1 = require("../../models/Note");
exports.default = () => __awaiter(void 0, void 0, void 0, function* () {
    const result = yield BaseItem_1.default.allItemsInTrash();
    yield Note_1.default.batchDelete(result.noteIds, { sourceDescription: 'emptyTrash/notes' });
    for (const folderId of result.folderIds) {
        yield Folder_1.default.delete(folderId, { deleteChildren: false, sourceDescription: 'emptyTrash/folders' });
    }
});
//# sourceMappingURL=emptyTrash.js.map