"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Folder_1 = require("../../models/Folder");
const Note_1 = require("../../models/Note");
const test_utils_1 = require("../../testing/test-utils");
const emptyTrash_1 = require("./emptyTrash");
describe('emptyTrash', () => {
    beforeEach(() => __awaiter(void 0, void 0, void 0, function* () {
        yield (0, test_utils_1.setupDatabaseAndSynchronizer)(1);
        yield (0, test_utils_1.switchClient)(1);
    }));
    it('should empty the trash', () => __awaiter(void 0, void 0, void 0, function* () {
        const folder1 = yield Folder_1.default.save({});
        const folder2 = yield Folder_1.default.save({ parent_id: folder1.id });
        const folder3 = yield Folder_1.default.save({});
        yield Note_1.default.save({ parent_id: folder1.id });
        yield Note_1.default.save({ parent_id: folder2.id });
        yield Note_1.default.save({ parent_id: folder3.id });
        yield Folder_1.default.delete(folder1.id, { toTrash: true });
        yield (0, emptyTrash_1.default)();
        expect(yield Folder_1.default.count()).toBe(1);
        expect(yield Note_1.default.count()).toBe(1);
    }));
});
//# sourceMappingURL=emptyTrash.test.js.map