"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RemoteMessenger_1 = require("./RemoteMessenger");
class WindowMessenger extends RemoteMessenger_1.default {
    constructor(channelId, remoteWindow, localApi) {
        super(channelId, localApi);
        this.remoteWindow = remoteWindow;
        this.handleMessageEvent = (event) => {
            if (event.source !== this.remoteWindow) {
                return;
            }
            void this.onMessage(event.data);
        };
        window.addEventListener('message', this.handleMessageEvent);
        this.onReadyToReceive();
    }
    postMessage(message) {
        this.remoteWindow.postMessage(message, '*');
    }
    onClose() {
        window.removeEventListener('message', this.handleMessageEvent);
    }
}
exports.default = WindowMessenger;
//# sourceMappingURL=WindowMessenger.js.map